On 11/14/2017 02:23 PM, John Paul Adrian Glaubitz wrote:
[...]+ - Detect and select NewWorld bootstrap partitions (adapted from d-i/yaboot-installer).Please strip the "(adapted from d-i/yaboot-installer)." from the changelog entry and commit message. Also, please no periods in commit messages.
Ok, fixed now in v2.
+# taken from yaboot-installer's postinst script +die() { + template="$1" + shift + + error "$@" + db_input critical "$template" || [ $? -eq 30 ] + db_go || true + db_progress STOP + exit 1 +}We shouldn't be introducing die() here but rather adopt the existing log() and error() functions. Please drop die() here and replace it with calls to log() and error(), similar to how it's used in update_grub(): if ! $in_target $update_grub; then error "Running '$update_grub' failed." 1>&2 db_input critical grub-installer/update-grub-failed || [ $? -eq 30 ] db_go || true db_progress STOP exit 1 fi
Done.
+ case "$ARCH" in + powerpc/powermac_newworld|ppc64/powermac_newworld)I'm not sure whether this statement makes sense here. We are calling nw_select_offs_part() only for */powermac_newworld) anyway further below.
Yeah you're right, I took the parts more or less verbatim from d-i/yaboot-installer and after they worked as is, I didn't remove unnecessary stuff.
I've removed that case statement and some other not-reachable or unneeded stuff further below now.
I'll continue with v2 of 3 - 5 later. Cheers, Frank